classification
Title: ld_so_aix not used when linking c++ (scipy)
Type: compile error Stage: resolved
Components: Distutils Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alef, delhallt, eric.araujo, haubi, kadler, tarek
Priority: normal Keywords: patch

Created on 2013-03-18 08:27 by alef, last changed 2020-12-01 11:38 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
Python-2.7.5-linkso.patch delhallt, 2013-05-23 12:52 proposed patch
Messages (3)
msg184437 - (view) Author: alef (alef) Date: 2013-03-18 08:27
error: Command "xlC_r xlC_r -bI:/pathp/to/lib/python2.7/config/python.exp ...".

unixccompiler.py at line 251 override linker[0] with self.compiler_cxx[0]. This is not true for AIX that uses the script ld_so_aix, and not xlC_r.
msg189866 - (view) Author: Delhallt (delhallt) Date: 2013-05-23 12:52
proposed patch
msg380946 - (view) Author: Kevin (kadler) * Date: 2020-11-14 00:43
This was fixed by https://github.com/python/cpython/pull/10437
History
Date User Action Args
2020-12-01 11:38:18iritkatrielsetstatus: open -> closed
resolution: fixed
stage: resolved
2020-11-14 00:43:27kadlersetnosy: + kadler
messages: + msg380946
2014-06-03 08:15:36haubisetnosy: + haubi
2013-05-23 12:52:06delhalltsetfiles: + Python-2.7.5-linkso.patch

nosy: + delhallt
messages: + msg189866

keywords: + patch
2013-03-18 08:27:28alefcreate